Skip to main content

Tasks Reassign By Keyword

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTghl.tasks_reassign_by_keyword

Reassign tasks matching a keyword or query.

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-tasks-reassign-by-keyword-example",
"method": "tools/call",
"params": {
"name": "ghl.tasks_reassign_by_keyword",
"arguments": {
"locationId": "locationId_123",
"query": "query_example",
"tenantId": "tenantId_123",
"strictTenant": false,
"confirmApply": "confirmApply_example",
"assignedTo": "assignedTo_example",
"assignedToDiscordId": "assignedToDiscordId_123",
"assignedToName": "assignedToName_example",
"onlyIncomplete": false,
"maxTasks": 1
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"strictTenant": {
"type": "boolean"
},
"confirmApply": {
"type": "string"
},
"locationId": {
"type": "string"
},
"query": {
"type": "string"
},
"assignedTo": {
"type": "string"
},
"assignedToDiscordId": {
"type": "string"
},
"assignedToName": {
"type": "string"
},
"onlyIncomplete": {
"type": "boolean"
},
"maxTasks": {
"type": "number"
},
"limit": {
"type": "number"
},
"dryRun": {
"type": "boolean"
}
},
"required": [
"locationId",
"query"
],
"additionalProperties": false
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-tasks-reassign-by-keyword-example",
"method": "tools/call",
"params": {
"name": "ghl.tasks_reassign_by_keyword",
"arguments": {
"locationId": "locationId_123",
"query": "query_example",
"tenantId": "tenantId_123",
"strictTenant": false,
"confirmApply": "confirmApply_example",
"assignedTo": "assignedTo_example",
"assignedToDiscordId": "assignedToDiscordId_123",
"assignedToName": "assignedToName_example",
"onlyIncomplete": false,
"maxTasks": 1
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.tasks_reassign_by_keyword executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}